## tagcoll 0.16-3

=== doc/Makefile ===
NAME=tagbk-draft

all: $(NAME).ps $(NAME).pdf

$(NAME).pdf: $(NAME).aux
	pdflatex $(NAME).tex

$(NAME).ps: $(NAME).dvi
	dvips $(NAME) -o

$(NAME).dvi: $(NAME).bbl
	latex $(NAME).tex
	latex $(NAME).tex

$(NAME).aux: $(NAME).tex
	latex $<

$(NAME).bbl: $(NAME).aux
	bibtex $(NAME)

clean:
	rm -f $(NAME).aux $(NAME).bbl $(NAME).blg $(NAME).ps $(NAME).pdf $(NAME).dvi $(NAME).idx $(NAME).log

=== debian/changelog ===
tagcoll (0.16-3) unstable; urgency=low

  * Build-depend on libtagcoll 0.5 instead of libtagcoll 0.4 (Closes: bug#202970)

 -- Enrico Zini <enrico@debian.org>  Sat, 26 Jul 2003 19:15:55 +0200

tagcoll (0.16-2) unstable; urgency=low

  * Removed accidental CVS directory in /usr/share/doc/tagcoll

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Jul 2003 17:21:38 +0200

tagcoll (0.16-1) unstable; urgency=low

  * New upstream version
     - Ported to libtagcoll 0.5
     - Implemented noise filtering
     - Implemented removal of equivalent nodes when building hierarchy

 -- Enrico Zini <enrico@debian.org>  Fri, 18 Jul 2003 17:14:41 +0200

tagcoll (0.15-1) unstable; urgency=low

  * New upstream version (ported to libtagcoll 0.4)
  * Build-Depends on pkg-config (Closes: bug#194341, bug#194335)

 -- Enrico Zini <enrico@debian.org>  Fri, 23 May 2003 01:26:56 +0200

tagcoll (0.14-1) unstable; urgency=low

  * New upstream version (split library functions in libtagcoll)

 -- Enrico Zini <enrico@debian.org>  Wed, 21 May 2003 16:06:00 +0200

tagcoll (0.13-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Thu,  1 May 2003 16:28:52 +0200

tagcoll (0.12-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Tue, 29 Apr 2003 12:52:05 +0200

tagcoll (0.11-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Mon, 28 Apr 2003 02:01:38 +0200

tagcoll (0.10-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Sun, 27 Apr 2003 21:11:36 +0200

tagcoll (0.9-2) unstable; urgency=low

  * Corrected syntax of long commandline options arguments in manpage

 -- Enrico Zini <enrico@debian.org>  Sat, 26 Apr 2003 22:14:26 +0200

tagcoll (0.9-1) unstable; urgency=low

  * New upstream release

 -- Enrico Zini <enrico@debian.org>  Sat, 26 Apr 2003 19:04:21 +0200

tagcoll (0.8-1) unstable; urgency=low

  * New upstream release

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Apr 2003 02:06:10 +0200

tagcoll (0.7-2) unstable; urgency=low

  * Update debian packaging
  * Ready for forst upload in experimental repository

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Apr 2003 00:08:22 +0200

tagcoll (0.7-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Apr 2003 01:16:10 +0200

tagcoll (0.6-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Wed, 23 Apr 2003 18:29:28 +0200

tagcoll (0.5-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Wed, 23 Apr 2003 13:56:24 +0200

tagcoll (0.4.1-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Wed, 23 Apr 2003 02:25:33 +0200

tagcoll (0.4-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Apr 2003 18:09:48 +0200

tagcoll (0.3-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Apr 2003 13:11:33 +0200

tagcoll (0.2-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Apr 2003 18:58:45 +0200

tagcoll (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Apr 2003 02:42:33 +0200

=== debian/control ===
Source: tagcoll
Section: misc
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>> 4.0.0), pkg-config, libtagcoll-dev (>= 0.5)
Standards-Version: 3.5.9

Package: tagcoll
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: Commandline tool to perform operations on tagged collections
 tagcoll takes a collection of items categorized with multiple tags and
 performs various kinds of operations on them:
 .
  * organize the collection in an intuitively navigable hierarchy;
  * discover and show implicit hierarchical relationships between
    tags;
  * apply various transformations to the collection
  * produce a special patch file with the differencies between two collections.
    Such patch files are specific to tagged collections, and can be applied and
    merged more freely than normal diff output;
  * apply a previously generated patch file to a collection.
 .
 tagcoll has been written with the purpose of studying tagged collections and
 experiment with tagged collection algorithms.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/tagcoll.sgml > tagcoll.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f config.status

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tagcoll.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tagcoll


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tagcoll 1.6.3-1

=== debian/changelog ===
tagcoll (1.6.3-1) unstable; urgency=low

  * New upstream release
     + minor fix to OpSet.h to make g++ happy

 -- Enrico Zini <enrico@debian.org>  Thu,  1 Jun 2006 14:13:52 +0200

tagcoll (1.6.2-2) unstable; urgency=low

  * Fix FTBFS on alpha by adding g++-4.1 in Build-Depends. Closes: #358493.
  * Update Standards-Version to 3.7.2 (no changes needed).
  * Added myself to Uploaders.

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 24 May 2006 00:01:22 +0200

tagcoll (1.6.2-1) unstable; urgency=low

  * New upstream
    * Fix oversight in testsuite causing tests to wrongly fail
     (Closes: #358493)
  * Added myself to uploaders

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Thu, 20 Apr 2006 15:35:10 +0200

tagcoll (1.6.1-1) unstable; urgency=low

  * New upstream version
     * Compiles with g++ 4.1.  Closes: #357358.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Mar 2006 11:48:42 +0100

tagcoll (1.6-1) unstable; urgency=low

  * New upstream version
     * Added grep and items commands
     * Added tagidx utility
     * Implemented new on-disk index
     * Implemented benchmarks
     * Fixed the tests
  * Now run the tests when building the package

 -- Enrico Zini <enrico@debian.org>  Thu,  2 Mar 2006 01:27:46 +0100

tagcoll (1.5.1-1) unstable; urgency=low

  * New upstream version
     * Applied patch from Torsten Marek to allow tagcoll to play well with
       SWIG
     * tagcoll --remove-tags now does what it says it should do, which is the
       exact opposite of what it was doing before.  If you were using it in
       scripts, you need to add or remove a '!' in front of the expression.
  * Build-depend on tetex-bin instead of latex and dvips.  Closes: #337457.

 -- Enrico Zini <enrico@debian.org>  Sat, 12 Nov 2005 13:26:21 +0100

tagcoll (1.5-1) unstable; urgency=low

  * New upstream version
     * API changed.  All reverse build-depends are aware of it.
  * Build-dep on tut-dev and tdb-dev.  Closes: #328075

 -- Enrico Zini <enrico@debian.org>  Sat, 24 Sep 2005 16:57:42 +0200

tagcoll (2.0-1) unstable; urgency=low

  * Bumped major number to make a clean upload to unstable, since we change
    the API of libtagcoll

 -- Enrico Zini <enrico@debian.org>  Sat, 10 Sep 2005 17:53:02 +0200

tagcoll (1.4-1) experimental; urgency=low

  * New upstream version, strongly refactored
  * Got rid of the damn -pic libraries, after I've learnt that non-pic code
    would work anyway

 -- Enrico Zini <enrico@debian.org>  Sat, 20 Aug 2005 14:41:53 +0200

tagcoll (1.3-1) unstable; urgency=low

  * New upstream version.
  * Merged source package with libtagcoll1.
  * Fixed license/copyright wording in debian/copyright.
    Closes: #290210.

 -- Enrico Zini <enrico@debian.org>  Sun,  7 Aug 2005 21:42:50 +0200

tagcoll (1.2.1-1) unstable; urgency=low

  * New upstream version
    Added --remove-unfacted and --remove-tags options

 -- Enrico Zini <enrico@debian.org>  Sat,  6 Aug 2005 18:21:00 +0200

libtagcoll1 (1.0.7-1) unstable; urgency=low

  * New upstream version.
    Added class ExpressionTagRemover.

 -- Enrico Zini <enrico@debian.org>  Sat,  6 Aug 2005 16:39:04 +0200

libtagcoll1 (1.0.6-1) unstable; urgency=low

  * New upstream version.

 -- Enrico Zini <enrico@debian.org>  Sun, 31 Jul 2005 17:45:33 +0200

libtagcoll1 (1.0.5-1) unstable; urgency=low

  * New upstream version.  Builds with gcc 4.

 -- Enrico Zini <enrico@debian.org>  Sun, 10 Jul 2005 00:40:33 +0300

tagcoll (1.2-1) unstable; urgency=low

  * New upstream version with just a README restyling
  * Upload to unstable

 -- Enrico Zini <enrico@debian.org>  Fri,  1 Jul 2005 16:33:13 +0200

libtagcoll1 (1.0.4-1) unstable; urgency=low

  * New upstream version.
  * Upload to unstable

 -- Enrico Zini <enrico@debian.org>  Fri,  1 Jul 2005 16:21:38 +0200

tagcoll (1.0-1) experimental; urgency=low

  * Bumped version to 1.0 and get rid of these weird version numbers.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Jun 2005 18:30:30 +0200

tagcoll (0.2-1) experimental; urgency=low

  * New upstream version.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Jun 2005 17:07:51 +0200

libtagcoll1 (1.0.3-1) experimental; urgency=low

  * New upstream version.
  * Also Depend on tdb-dev.  Closes: #310219.
    Thanks to Kurt Roeckx.

 -- Enrico Zini <enrico@debian.org>  Sat, 18 Jun 2005 16:17:20 +0200

libtagcoll1 (1.0.2-1) experimental; urgency=low

  * New upstream version
  * Build-depend on tdb-dev.  Closes: #312898.

 -- Enrico Zini <enrico@debian.org>  Fri, 10 Jun 2005 19:29:44 +0200

tagcoll (0.101-1) experimental; urgency=low

  * Added 'findspecials' function
  * Fixed build-dep on libtagcoll (now builds on 1.0.1).  Closes: #310219.

 -- Enrico Zini <enrico@debian.org>  Tue, 24 May 2005 12:51:27 +0200

libtagcoll1 (1.0.1-1) experimental; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Tue, 24 May 2005 12:33:46 +0200

tagcoll (0.100-1) unstable; urgency=low

  * Ported to libtagcoll1

 -- Enrico Zini <enrico@debian.org>  Fri, 13 May 2005 15:27:54 +0200

libtagcoll1 (1.0-1) experimental; urgency=low

  * New upstream version
  * Package name changed not to break old applications
  * Conflict with libtagcoll-dev

 -- Enrico Zini <enrico@debian.org>  Sun, 10 Apr 2005 14:10:21 +0200

libtagcoll (0.100-1) unstable; urgency=low

  * New upstream version
  * Only build -dev version, as the API and ABI are still not stable

 -- Enrico Zini <enrico@debian.org>  Mon, 28 Mar 2005 18:05:51 +0200

libtagcoll (0.99.1-1) unstable; urgency=low

  * New upstream version

 -- Enrico Zini <enrico@debian.org>  Sun, 15 Aug 2004 12:24:26 +0100

tagcoll (0.99-1) unstable; urgency=low

  * Depend on libtagcoll 0.99 instead of 0.9
  * Updated version to fix previous versioning error

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 03:16:51 +0200

libtagcoll (0.99-1) unstable; urgency=low

  * Version bump to fix dependency idiocy of mine

 -- Enrico Zini <enrico@debian.org>  Mon,  2 Aug 2004 03:10:33 +0200



=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: tagcoll
-Section: misc
+Section: libdevel
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>> 4.0.0), pkg-config, libtagcoll-dev (>= 0.5)
-Standards-Version: 3.5.9
+Uploaders: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, Arnaud Fontaine <arnaud@andesi.org>
+Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, pkg-config, c++abi2-dev, flex, bison, doxygen, graphviz, tetex-bin, gs, tdb-dev, libtut-dev, g++-4.1 [alpha]
+Standards-Version: 3.7.2
 
 Package: tagcoll
 Architecture: any
-Depends: ${shlibs:Depends} ${misc:Depends}
+Section: misc
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Commandline tool to perform operations on tagged collections
  tagcoll takes a collection of items categorized with multiple tags and
  performs various kinds of operations on them:
@@ -23,3 +25,30 @@
  .
  tagcoll has been written with the purpose of studying tagged collections and
  experiment with tagged collection algorithms.
+ .
+ For more information, see the Debtags homepage at:
+ http://debtags.alioth.debian.org
+ 
+Package: libtagcoll-dev
+Section: libdevel
+Depends: tdb-dev, zlib1g-dev
+Architecture: any
+Recommends: pkg-config
+Description: Functions used to manipulate tagged collections (development version)
+ Tagged collections are collections of items tagged with multiple categories.
+ libtagcoll provides general infrastructure to handle tagged collection data,
+ plus various kind of tagged collection manipulation functions:
+ .
+  * apply various kinds of transformations to the collection;
+  * generate and apply tag patches;
+  * discover and show implicit hierarchical relationships between
+    tags;
+  * organize the collection in an intuitively navigable hierarchy.
+  * keep an on-disk index of the tag data
+ .
+ Warning: the API has not yet been stabilized and is subject to change in
+ future versions.  This is why the library is distributed in a -dev package
+ only.
+ .
+ For more information, see the Debtags homepage at:
+ http://debtags.alioth.debian.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_MAKE_CHECK_TARGET := check
DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),alpha)
        export CXX=g++-4.1
endif

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

## tagcoll 1.6.3-1ubuntu2

=== debian/changelog ===
tagcoll (1.6.3-1ubuntu2) gutsy; urgency=low

  * Don't make binary package tagcoll, it comes from tagcoll2 source
    package now

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Jun 2007 19:47:07 +0100

tagcoll (1.6.3-1ubuntu1) gutsy; urgency=low

  * Add patch kubuntu_01_gcc4.3.diff to fix compile with GCC 4.3
  * Recompile to drop libtdb.la references, it no longer exists

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Jun 2007 17:05:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,6 @@
 Build-Depends: cdbs, debhelper (>> 4.1), dh-buildinfo, pkg-config, c++abi2-dev, flex, bison, doxygen, graphviz, tetex-bin, gs, tdb-dev, libtut-dev, g++-4.1 [alpha]
 Standards-Version: 3.7.2
 
-Package: tagcoll
-Architecture: any
-Section: misc
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Commandline tool to perform operations on tagged collections
- tagcoll takes a collection of items categorized with multiple tags and
- performs various kinds of operations on them:
- .
-  * organize the collection in an intuitively navigable hierarchy;
-  * discover and show implicit hierarchical relationships between
-    tags;
-  * apply various transformations to the collection
-  * produce a special patch file with the differencies between two collections.
-    Such patch files are specific to tagged collections, and can be applied and
-    merged more freely than normal diff output;
-  * apply a previously generated patch file to a collection.
- .
- tagcoll has been written with the purpose of studying tagged collections and
- experiment with tagged collection algorithms.
- .
- For more information, see the Debtags homepage at:
- http://debtags.alioth.debian.org
- 
 Package: libtagcoll-dev
 Section: libdevel
 Depends: tdb-dev, zlib1g-dev

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
 DEB_MAKE_CHECK_TARGET := check

## tagcoll 1.6.3-2

=== debian/changelog ===
tagcoll (1.6.3-2) etch-proposed-updates; urgency=low

  * Dropped the 'tagcoll' binary package.  Closes: #510482.

 -- Enrico Zini <enrico@debian.org>  Mon, 12 Jan 2009 11:07:02 +0000
